package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TSafetyapprovalMapper;
import com.ruoyi.project.ehs.domain.TSafetyapproval;
import com.ruoyi.project.ehs.service.ITSafetyapprovalService;

/**
 * 安全批文清单Service业务层处理
 *
 * @author ruoyi
 * @date 2020-11-26
 */
@Service
public class TSafetyapprovalServiceImpl implements ITSafetyapprovalService
{
    @Autowired
    private TSafetyapprovalMapper tSafetyapprovalMapper;

    /**
     * 查询安全批文清单
     *
     * @param id 安全批文清单ID
     * @return 安全批文清单
     */
    @Override
    public TSafetyapproval selectTSafetyapprovalById(Long id)
    {
        return tSafetyapprovalMapper.selectTSafetyapprovalById(id);
    }

    /**
     * 查询安全批文清单列表
     *
     * @param tSafetyapproval 安全批文清单
     * @return 安全批文清单
     */
    @Override
    public List<TSafetyapproval> selectTSafetyapprovalList(TSafetyapproval tSafetyapproval)
    {
        return tSafetyapprovalMapper.selectTSafetyapprovalList(tSafetyapproval);
    }

    /**
     * 定时任务查询安全批文清单列表
     *
     * @param tSafetyapproval 安全批文清单
     * @return 安全批文清单集合
     */
    @Override
    public List<TSafetyapproval> selectList(TSafetyapproval tSafetyapproval) {
        return tSafetyapprovalMapper.selectList(tSafetyapproval);
    }

    /**
     * 新增安全批文清单
     *
     * @param tSafetyapproval 安全批文清单
     * @return 结果
     */
    @Override
    public int insertTSafetyapproval(TSafetyapproval tSafetyapproval)
    {
        return tSafetyapprovalMapper.insertTSafetyapproval(tSafetyapproval);
    }

    /**
     * 修改安全批文清单
     *
     * @param tSafetyapproval 安全批文清单
     * @return 结果
     */
    @Override
    public int updateTSafetyapproval(TSafetyapproval tSafetyapproval)
    {
        return tSafetyapprovalMapper.updateTSafetyapproval(tSafetyapproval);
    }

    /**
     * 批量删除安全批文清单
     *
     * @param ids 需要删除的安全批文清单ID
     * @return 结果
     */
    @Override
    public int deleteTSafetyapprovalByIds(Long[] ids)
    {
        return tSafetyapprovalMapper.deleteTSafetyapprovalByIds(ids);
    }

    /**
     * 删除安全批文清单信息
     *
     * @param id 安全批文清单ID
     * @return 结果
     */
    @Override
    public int deleteTSafetyapprovalById(Long id)
    {
        return tSafetyapprovalMapper.deleteTSafetyapprovalById(id);
    }
}
